Package Details: pgcli 2.1.1-4

Git Clone URL: https://aur.archlinux.org/pgcli.git (read-only)
Package Base: pgcli
Description: a command line interface for Postgres with auto-completion and syntax highlighting
Upstream URL: http://pgcli.com/
Keywords: dbcli postgres
Licenses: BSD
Conflicts: pgcli-git
Provides: pgcli
Submitter: fzerorubigd
Maintainer: asm0dey
Last Packager: asm0dey
Votes: 34
Popularity: 0.542936
First Submitted: 2016-03-16 16:15
Last Updated: 2019-06-01 13:40

Pinned Comments

asm0dey commented on 2019-06-01 13:54

@Quatro updated requirement version, so waiting for sqlparse to update version

Latest Comments

1 2 3 4 5 6 ... Next › Last »

conan commented on 2019-10-08 15:08

This package is severely broken: it needs to require several dependencies to get installed and then it requires like a dozen of new dependencies to be able to run.

telmo commented on 2019-07-12 18:16

@asm0dey Well, thanks anyway. Cheers.

asm0dey commented on 2019-07-12 05:35

@telm nop :( Currently I can only recommend to install pgcli with pipx. Waiting for upstream to fix version :(

telmo commented on 2019-07-12 02:54

Hello, I installed your python-sqlparse-0_3_0 package in place of the default python-sqlparse expecting to be able to update pgcli, but I still get a dependency error. Can you give me a help?

Quatro commented on 2019-06-01 19:16

Thanks.

asm0dey commented on 2019-06-01 13:54

@Quatro updated requirement version, so waiting for sqlparse to update version

Quatro commented on 2019-06-01 13:25

pgcli broke again. sqlparse dependency changed to sqlparse<0.4,>=0.3.0, but the current package is at '0.2.4` (Someone already flagged out of date: https://www.archlinux.org/packages/community/any/python-sqlparse/) .

Full error message on pgcli start:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (sqlparse 0.2.4 (/usr/lib/python3.7/site-packages), Requirement.parse('sqlparse<0.4,>=0.3.0'), {'pgcli'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'sqlparse<0.4,>=0.3.0' distribution was not found and is required by pgcli

vltr commented on 2019-04-11 12:25

@asm0dey yeap, no problem ... Since this is a somewhat breaking change - renaming and/or changing the distribution format of the package, done in psycopg2 2.8 ... Anyway, indeed we have to wait :-)

asm0dey commented on 2019-04-11 12:16

So, waiting for fix in upstream. Sorry, folks

vltr commented on 2019-04-11 11:32

@asm0dey more info about that here: https://github.com/dbcli/pgcli/issues/1036